<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
	Author: 
	File: 
	Date: 
	Purpose: 
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" indent="yes" encoding="ISO-8859-1"/>

	<xsl:template match="Datum">
    <body>
        <h2 style="color: navy; text-align: center; font-size=24pt;"><xsl:value-of select="name"/></h2>
        <h3 style="color: navy; font-size=12pt;"><xsl:text>DATUM</xsl:text></h3>
        <p><b><xsl:text>Identifiant EPSG : </xsl:text></b>
        <xsl:value-of select="idEPSG"/></p>
        <p><b><xsl:text>Nom court : </xsl:text></b>
        <xsl:value-of select="short_name"/></p>
        <p><b><xsl:text>Nom complet : </xsl:text></b>
        <xsl:value-of select="name"/></p>
        <p><b><xsl:text>Point d'ancrage : </xsl:text></b>
        <xsl:value-of select="anchorPoint"/></p>
        <p><b><xsl:text>Date de r&#233;alisation : </xsl:text></b>
        <xsl:value-of select="realizationEpoch"/></p>
        <xsl:apply-templates select="ellipsoid"/>
        <xsl:apply-templates select="primeMeridian"/>
        <xsl:apply-templates select="primeMeridianName"/>
    </body>
	</xsl:template>

	<xsl:template match="ellipsoid">
		<h4 style="color: navy; font-size=12pt;"><xsl:text>ELLIPSOIDE</xsl:text>
		</h4>
    <ul>
    <li>
      <xsl:text>Id : </xsl:text>
		  <xsl:value-of select="idEPSG"/>
		</li>
    <li>
      <xsl:text>Nom : </xsl:text>
		  <xsl:value-of select="name"/>
		</li>
		<li>
			<xsl:text>Demi-grand axe : </xsl:text>
			<xsl:value-of select="semiMajorAxis"/>
		</li>
		<li>
			<xsl:text>Deuxi&#232;me param&#232;tre : </xsl:text>
			<xsl:value-of select="secondDefiningParameter"/>
		</li>
		</ul>
	</xsl:template>
  <xsl:template match="primeMeridian">
		<h4 style="color: navy; font-size=12pt;"><xsl:text>MERIDIEN ORIGINE</xsl:text></h4>
    <ul>
    <li>
      <xsl:text>Id : </xsl:text>
		  <xsl:value-of select="idEPSG"/>
		</li>
    <li>
      <xsl:text>Nom : </xsl:text>
		  <xsl:value-of select="name"/>
		</li>
		<li>
			<xsl:text>Longitude : </xsl:text>
			<xsl:value-of select="longitudeFromGreenwich/longitude"/>
      <xsl:value-of select="longitudeFromGreenwich/unit/name/@symbol"/>
		</li>
		</ul>
	</xsl:template>
  <xsl:template match="primeMeridianName">
  	<h4 style="color: navy; font-size=12pt;"><xsl:text>MERIDIEN ORIGINE</xsl:text></h4>
    <ul>
    <li>
      <xsl:text>Nom : </xsl:text>
		  <xsl:value-of select="//primeMeridianName"/>
		</li>
    </ul>
  </xsl:template>
  <xsl:template match="projection">
  	<h4 style="color: navy; font-size=12pt;"><xsl:text>PROJECTION</xsl:text></h4>
    <ul>
    <li>
      <xsl:choose>
        <xsl:when test="parameters/originLongitude">
          <xsl:text>Longitude origine : </xsl:text>
          <xsl:value-of select="parameters/originLongitude"/>
          <xsl:text> radians</xsl:text>
        </xsl:when>
        <xsl:when test="parameters/originLongitude-degree">
          <xsl:text>Longitude origine : </xsl:text>
          <xsl:value-of select="parameters/originLongitude-degree"/>
          <xsl:text> degr&#233;s</xsl:text>
        </xsl:when>
        <xsl:when test="parameters/originLongitude-grad">
          <xsl:text>Longitude origine : </xsl:text>
          <xsl:value-of select="parameters/originLongitude-grad"/>
          <xsl:text> grades</xsl:text>
        </xsl:when>
      </xsl:choose>
    </li>
    <li>
      <xsl:choose>
        <xsl:when test="parameters/originLatitude">
          <xsl:text>Latitude origine : </xsl:text>
          <xsl:value-of select="parameters/originLatitude"/>
          <xsl:text> radians</xsl:text>
        </xsl:when>
        <xsl:when test="parameters/originLatitude-degree">
          <xsl:text>Latitude origine : </xsl:text>
          <xsl:value-of select="parameters/originLatitude-degree"/>
          <xsl:text> degr&#233;s</xsl:text>
        </xsl:when>
        <xsl:when test="parameters/originLatitude-grad">
          <xsl:text>Latitude origine : </xsl:text>
          <xsl:value-of select="parameters/originLatitude-grad"/>
          <xsl:text> grades</xsl:text>
        </xsl:when>
      </xsl:choose>
		</li>
    <li>
      <xsl:text>Facteur d'&#233;chelle : </xsl:text>
		  <xsl:value-of select="parameters/scale-factor"/>
		</li>
    <li>
      <xsl:text>Origine des x : </xsl:text>
		  <xsl:value-of select="parameters/x-origin"/>
		</li>
    <li>
      <xsl:text>Origine des y : </xsl:text>
		  <xsl:value-of select="parameters/y-origin"/>
		</li>    
    </ul>
  </xsl:template>
</xsl:stylesheet>